Skip to main content
GET
List answers
For the meaning of the response fields and the empty-value rules (when fanouts and sources are empty), see Answer object. For real response examples and interpretation, see the Retrieving answers guide.

Authorizations

API-Key
string
header
required

"Enter your organization API key. Example: 'cs_live_xxxx'"

Query Parameters

runID
string

Filter to narrow the scope to a specific prompt run (the ID issued when the run was requested)

promptSetID
string

Filter to narrow the scope to a specific prompt set (the id from the set list or create response)

promptID
string

Filter to narrow the scope to a specific prompt (the id from the prompt list or create response)

model
string

Filter that narrows the scope to a specific model

region
string

Filter to narrow the scope to a specific region

location
string

Filter that narrows the scope to a specific location (city-level, below country). The code value from GET /locations

status
string

Collection and classification status filter. One of PENDING (answer not ready yet), SUCCESS (answer classification finished), FAILED (failed or skipped)

sourceDomain
string

Source domain filter. Enter the sources[].domain value from the response or the domain value from source statistics as is (matches both the eTLD+1 and subdomain axes, up to 253 characters)

sourceURL
string

Cited source URL filter. Pass the sources[].url value from the response or the url value from URL statistics as is (matched on the same normalization axis as statistics, up to 2048 characters)

from
string

Created date start (RFC3339)

to
string

Creation date end (RFC3339)

cursor
string

nextCursor from the previous response (omit on the first request)

limit
integer

Page size (default 20, max 100)

Response

OK

answers
object[]

Answer list

nextCursor
string

Cursor for the next page (null if there are no more)

Example:

"eyJpZCI6NzIzMDF9"